<ion-header>
  <ion-toolbar>
      <ion-title>Cataleg Productes</ion-title>

      <ion-chip slot="secondary" (click)="presentModalprofile()">
          <ion-avatar>
              <img src="https://firebasestorage.googleapis.com/v0/b/urieats.appspot.com/o/filesStorage%2F1651085077661_9725eab0f76484dfd3459bb932cf880b8392cdcafa59926986b6d5164641514f_3.jpg?alt=media&token=430715a6-dad0-4151-89fd-9f662ecbbc1e">
          </ion-avatar>
          <ion-label>{{ userDetail.displayName }} and settings</ion-label>
      </ion-chip>
      <ion-chip slot="end" (click)="signOut()">
        <ion-icon name="exit-outline"></ion-icon>
    </ion-chip>

</ion-toolbar>
</ion-header>

<ion-content>
 <!--  <ion-card *ngFor="let img of files | async">
    <ion-card-header>
      <ion-img src="{{ img.filepath }}">
        
      </ion-img>
    </ion-card-header>
  </ion-card> -->
  <ion-list>
    <ion-list-header>
      Productes:
    </ion-list-header>
    <ion-item *ngFor="let Item of Items">
      <ion-label (click)="presentModal(Item.id,Item.category,Item.name,Item.description,Item.foto)">
        
        <ion-avatar slot="start"> 
                 <ion-item *ngFor="let img of files | async">
                    <ion-avatar *ngIf="img.IdItem == Item.id">
                      <img src="{{ img.filepath }}">
                    </ion-avatar>
                  </ion-item>
                  <img src="{{Item.foto}}">
        </ion-avatar> 
        <p slot="end">Categoria:{{Item.category}}</p>
        <h1>
          <ion-icon name="Item"></ion-icon> <a>{{Item.name}}</a>
        </h1>

      </ion-label>
      <ion-button clear (click)="addbasket(Item)">
        <ion-icon name="cart"></ion-icon>
      </ion-button>
  </ion-item>
</ion-list>
</ion-content>
<ion-button (click)="checkout()">
  CheckOut <ion-icon name="basket-outline"></ion-icon>
</ion-button>